Loading...
Searching...
No Matches
RDKit::v2::FileParsers::RandomAccessSupplierIter< Supplier > Struct Template Reference

`#include <MolSupplier.h>`

## Public Types

using | iterator_category = std::random_access_iterator_tag
using | difference_type = std::ptrdiff_t
using | value_type = std::shared_ptr<RWMol>
using | const_value_type = const std::shared_ptr<RWMol>

## Public Member Functions

| RandomAccessSupplierIter ()=default
| RandomAccessSupplierIter (const RandomAccessSupplierIter &)=default
RandomAccessSupplierIter & | operator= (const RandomAccessSupplierIter &)=default
| RandomAccessSupplierIter (RandomAccessSupplierIter &&)=default
RandomAccessSupplierIter & | operator= (RandomAccessSupplierIter &&)=default
| RandomAccessSupplierIter (Supplier *supplier)
| RandomAccessSupplierIter (Supplier *supplier, size_t idx)
const_value_type | operator* () const
const_value_type | operator[] (size_t idx) const
RandomAccessSupplierIter & | operator++ ()
RandomAccessSupplierIter | operator++ (int)
RandomAccessSupplierIter & | operator-- ()
RandomAccessSupplierIter | operator-- (int)
RandomAccessSupplierIter & | operator+= (difference_type n)
RandomAccessSupplierIter & | operator-= (difference_type n)
RandomAccessSupplierIter | operator+ (difference_type n) const
RandomAccessSupplierIter | operator- (difference_type n) const
difference_type | operator- (const RandomAccessSupplierIter &other) const
auto | operator<=> (const RandomAccessSupplierIter &other) const
bool | operator== (const RandomAccessSupplierIter &other) const

## Public Attributes

Supplier * | supplier = nullptr
size_t | current_idx = 0

## Friends

RandomAccessSupplierIter | operator+ (difference_type n, const RandomAccessSupplierIter &it)

## Detailed Description

template<typename Supplier>
struct RDKit::v2::FileParsers::RandomAccessSupplierIter< Supplier >

Definition at line 282 of file MolSupplier.h.

## Member Typedef Documentation

## const_value_type

template<typename Supplier>

using RDKit::v2::FileParsers::RandomAccessSupplierIter< Supplier >::const_value_type = const std::shared_ptr<RWMol>

Definition at line 286 of file MolSupplier.h.

## difference_type

template<typename Supplier>

using RDKit::v2::FileParsers::RandomAccessSupplierIter< Supplier >::difference_type = std::ptrdiff_t

Definition at line 284 of file MolSupplier.h.

## iterator_category

template<typename Supplier>

using RDKit::v2::FileParsers::RandomAccessSupplierIter< Supplier >::iterator_category = std::random_access_iterator_tag

Definition at line 283 of file MolSupplier.h.

## value_type

template<typename Supplier>

using RDKit::v2::FileParsers::RandomAccessSupplierIter< Supplier >::value_type = std::shared_ptr<RWMol>

Definition at line 285 of file MolSupplier.h.

## Constructor & Destructor Documentation

## RandomAccessSupplierIter() [1/5]

template<typename Supplier>

RDKit::v2::FileParsers::RandomAccessSupplierIter< Supplier >::RandomAccessSupplierIter | ( |  | ) |

default

Referenced by RDKit::v2::FileParsers::RandomAccessSupplierIter< SDMolSupplier >::operator+(), RDKit::v2::FileParsers::RandomAccessSupplierIter< SDMolSupplier >::operator+, and RDKit::v2::FileParsers::RandomAccessSupplierIter< SDMolSupplier >::operator-().

## RandomAccessSupplierIter() [2/5]

template<typename Supplier>

RDKit::v2::FileParsers::RandomAccessSupplierIter< Supplier >::RandomAccessSupplierIter | ( | const RandomAccessSupplierIter< Supplier > & |  | ) |

default

## RandomAccessSupplierIter() [3/5]

template<typename Supplier>

RDKit::v2::FileParsers::RandomAccessSupplierIter< Supplier >::RandomAccessSupplierIter | ( | RandomAccessSupplierIter< Supplier > && |  | ) |

default

## RandomAccessSupplierIter() [4/5]

template<typename Supplier>

RDKit::v2::FileParsers::RandomAccessSupplierIter< Supplier >::RandomAccessSupplierIter | ( | Supplier * | supplier | ) |

inline explicit

Definition at line 296 of file MolSupplier.h.

## RandomAccessSupplierIter() [5/5]

template<typename Supplier>

RDKit::v2::FileParsers::RandomAccessSupplierIter< Supplier >::RandomAccessSupplierIter | ( | Supplier * | supplier,
|  | size_t | idx )

inline

Definition at line 298 of file MolSupplier.h.

## Member Function Documentation

## operator*()

template<typename Supplier>

const_value_type RDKit::v2::FileParsers::RandomAccessSupplierIter< Supplier >::operator* | ( |  | ) | const

inline

Definition at line 300 of file MolSupplier.h.

## operator+()

template<typename Supplier>

RandomAccessSupplierIter RDKit::v2::FileParsers::RandomAccessSupplierIter< Supplier >::operator+ | ( | difference_type | n | ) | const

inline

Definition at line 332 of file MolSupplier.h.

## operator++() [1/2]

template<typename Supplier>

RandomAccessSupplierIter & RDKit::v2::FileParsers::RandomAccessSupplierIter< Supplier >::operator++ | ( |  | ) |

inline

Definition at line 306 of file MolSupplier.h.

## operator++() [2/2]

template<typename Supplier>

RandomAccessSupplierIter RDKit::v2::FileParsers::RandomAccessSupplierIter< Supplier >::operator++ | ( | int |  | ) |

inline

Definition at line 310 of file MolSupplier.h.

## operator+=()

template<typename Supplier>

RandomAccessSupplierIter & RDKit::v2::FileParsers::RandomAccessSupplierIter< Supplier >::operator+= | ( | difference_type | n | ) |

inline

Definition at line 324 of file MolSupplier.h.

## operator-() [1/2]

template<typename Supplier>

difference_type RDKit::v2::FileParsers::RandomAccessSupplierIter< Supplier >::operator- | ( | const RandomAccessSupplierIter< Supplier > & | other | ) | const

inline

Definition at line 338 of file MolSupplier.h.

## operator-() [2/2]

template<typename Supplier>

RandomAccessSupplierIter RDKit::v2::FileParsers::RandomAccessSupplierIter< Supplier >::operator- | ( | difference_type | n | ) | const

inline

Definition at line 335 of file MolSupplier.h.

## operator--() [1/2]

template<typename Supplier>

RandomAccessSupplierIter & RDKit::v2::FileParsers::RandomAccessSupplierIter< Supplier >::operator-- | ( |  | ) |

inline

Definition at line 315 of file MolSupplier.h.

## operator--() [2/2]

template<typename Supplier>

RandomAccessSupplierIter RDKit::v2::FileParsers::RandomAccessSupplierIter< Supplier >::operator-- | ( | int |  | ) |

inline

Definition at line 319 of file MolSupplier.h.

## operator-=()

template<typename Supplier>

RandomAccessSupplierIter & RDKit::v2::FileParsers::RandomAccessSupplierIter< Supplier >::operator-= | ( | difference_type | n | ) |

inline

Definition at line 328 of file MolSupplier.h.

## operator<=>()

template<typename Supplier>

auto RDKit::v2::FileParsers::RandomAccessSupplierIter< Supplier >::operator<=> | ( | const RandomAccessSupplierIter< Supplier > & | other | ) | const

inline

Definition at line 346 of file MolSupplier.h.

## operator=() [1/2]

template<typename Supplier>

RandomAccessSupplierIter & RDKit::v2::FileParsers::RandomAccessSupplierIter< Supplier >::operator= | ( | const RandomAccessSupplierIter< Supplier > & |  | ) |

default

## operator=() [2/2]

template<typename Supplier>

RandomAccessSupplierIter & RDKit::v2::FileParsers::RandomAccessSupplierIter< Supplier >::operator= | ( | RandomAccessSupplierIter< Supplier > && |  | ) |

default

## operator==()

template<typename Supplier>

bool RDKit::v2::FileParsers::RandomAccessSupplierIter< Supplier >::operator== | ( | const RandomAccessSupplierIter< Supplier > & | other | ) | const

inline

Definition at line 349 of file MolSupplier.h.

## operator[]()

template<typename Supplier>

const_value_type RDKit::v2::FileParsers::RandomAccessSupplierIter< Supplier >::operator[] | ( | size_t | idx | ) | const

inline

Definition at line 303 of file MolSupplier.h.

## Friends And Related Symbol Documentation

## operator+

template<typename Supplier>

RandomAccessSupplierIter operator+ | ( | difference_type | n,
|  | const RandomAccessSupplierIter< Supplier > & | it )

friend

Definition at line 342 of file MolSupplier.h.

## Member Data Documentation

## current_idx

template<typename Supplier>

size_t RDKit::v2::FileParsers::RandomAccessSupplierIter< Supplier >::current_idx = 0

Definition at line 289 of file MolSupplier.h.

Referenced by RDKit::v2::FileParsers::RandomAccessSupplierIter< SDMolSupplier >::operator+, RDKit::v2::FileParsers::RandomAccessSupplierIter< SDMolSupplier >::operator-(), RDKit::v2::FileParsers::RandomAccessSupplierIter< SDMolSupplier >::operator<=>(), and RDKit::v2::FileParsers::RandomAccessSupplierIter< SDMolSupplier >::operator==().

## supplier

template<typename Supplier>

Supplier* RDKit::v2::FileParsers::RandomAccessSupplierIter< Supplier >::supplier = nullptr

Definition at line 288 of file MolSupplier.h.

Referenced by RDKit::v2::FileParsers::RandomAccessSupplierIter< SDMolSupplier >::operator+, and RDKit::v2::FileParsers::RandomAccessSupplierIter< SDMolSupplier >::operator==().

The documentation for this struct was generated from the following file:

- MolSupplier.h